Developer Portal

Update AccountPUT

Update an existing trading account. Use this to change account-level properties such as status, group, or other account configuration.

View as Markdown
PUT
/accounts/{accountId}

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Request Body

application/jsonRequired
groupIdAccount group ID
maxLeverageMaximum leverage allowed for this account
Format: "uint64"
maxNopMaximum number of open positions allowed for this account
Format: "double"
statusTrade status, ENABLED, DISABLED or CLOSE_ONLY
Default: "TRADE_STATUS_UNSPECIFIED"Value in: "TRADE_STATUS_UNSPECIFIED" | "TRADE_STATUS_FULL" | "TRADE_STATUS_CLOSE_ONLY" | "TRADE_STATUS_DISABLED" | "TRADE_STATUS_LONG_ONLY"
dailyStatementWhether daily statement emails are enabled for this account

Path Parameters

accountIdRequiredstring

Required to identify the account to update

curl -X PUT "https://example.com/accounts/<string>" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "groupId": "string",
    "maxLeverage": "string",
    "maxNop": 0.1,
    "status": "TRADE_STATUS_UNSPECIFIED",
    "dailyStatement": true
  }'

A successful response.

{
  "id": "string",
  "groupId": "string",
  "profileId": "string",
  "currency": "string",
  "positionMode": "POSITIONING_MODE_UNSPECIFIED",
  "status": "TRADE_STATUS_UNSPECIFIED",
  "nop": 0.1,
  "balance": 0.1,
  "maxLeverage": "string",
  "version": "string",
  "isSb": true,
  "isDemo": true,
  "marginCalcTypeOverride": "MARGIN_CALC_TYPE_UNSPECIFIED",
  "dailyStatement": true
}